//------------------------------------------------------------------------------------
// irr::scene::IParticleRingEmitter wrappers
//------------------------------------------------------------------------------------

extern "C" 
{

	void IrrScene_IParticleRingEmitter_setCenter(  IParticleRingEmitter* pe, vector3df* center )
	{
		if (pe) {
			pe->setCenter(*center);
		}
	}

	void IrrScene_IParticleRingEmitter_setRadius(  IParticleRingEmitter* pe, f32 radius )
	{
		if (pe) {
			pe->setRadius(radius);
		}
	}

	void IrrScene_IParticleRingEmitter_setRingThickness(  IParticleRingEmitter* pe, f32 ringThickness )
	{
		if (pe) {
			pe->setRingThickness(ringThickness);
		}
	}

	// must delete
	vector3df* IrrScene_IParticleRingEmitter_getCenter( IParticleRingEmitter* pe)
	{
		if (pe) {
			return new vector3df(pe->getCenter());
		} else return 0;
	}

	f32 IrrScene_IParticleRingEmitter_getRadius( IParticleRingEmitter* pe)
	{
		if (pe) {
			return pe->getRadius();
		} else return 0.0;
	}

	f32 IrrScene_IParticleRingEmitter_getRingThickness( IParticleRingEmitter* pe)
	{
		if (pe) {
			return pe->getRingThickness();
		} else return 0.0;
	}
}

